SHA512tDigest (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.crypto.digests

## Class SHA512tDigest

- java.lang.Object
- - org.bouncycastle.crypto.digests.LongDigest
  - - org.bouncycastle.crypto.digests.SHA512tDigest

- All Implemented Interfaces:
    Digest, EncodableDigest, ExtendedDigest, Memoable

      public class SHA512tDigest
      extends LongDigest

  FIPS 180-4 implementation of SHA-512/t

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.crypto.digests.LongDigest

      `H1, H2, H3, H4, H5, H6, H7, H8`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SHA512tDigest(byte[] encodedState)`
    `SHA512tDigest(int bitLength)` Standard constructor
    `SHA512tDigest(SHA512tDigest t)` Copy constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Memoable` | `copy()` Produce a copy of this object with its configuration and in its current state.
    `int` | `doFinal(byte[] out, int outOff)` close the digest, producing the final digest value.
    `java.lang.String` | `getAlgorithmName()` return the algorithm name
    `int` | `getDigestSize()` return the size, in bytes, of the digest produced by this message digest.
    `byte[]` | `getEncodedState()` Return an encoded byte array for the digest's internal state
    `void` | `reset()` reset the chaining variables
    `void` | `reset(Memoable other)` Restore a copied object state into this object.

    - ### Methods inherited from class org.bouncycastle.crypto.digests.LongDigest

      `copyIn, finish, getByteLength, getEncodedStateSize, populateState, processBlock, processLength, processWord, restoreState, update, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SHA512tDigest

          public SHA512tDigest(int bitLength)

      Standard constructor

    - #### SHA512tDigest

          public SHA512tDigest(SHA512tDigest t)

      Copy constructor. This will copy the state of the provided message digest.

    - #### SHA512tDigest

          public SHA512tDigest(byte[] encodedState)

  - ### Method Detail

    - #### getAlgorithmName

          public java.lang.String getAlgorithmName()

      Description copied from interface: `Digest`
      return the algorithm name
      Returns:
        the algorithm name

    - #### getDigestSize

          public int getDigestSize()

      Description copied from interface: `Digest`
      return the size, in bytes, of the digest produced by this message digest.
      Returns:
        the size, in bytes, of the digest produced by this message digest.

    - #### doFinal

          public int doFinal(byte[] out,
                    int outOff)

      Description copied from interface: `Digest`
      close the digest, producing the final digest value. The doFinal call leaves the digest reset.
      Parameters:
        `out` - the array the digest is to be copied into.
        `outOff` - the offset into the out array the digest is to start at.

    - #### reset

          public void reset()

      reset the chaining variables
      Specified by:
        `reset` in interface `Digest`
      Overrides:
        `reset` in class `LongDigest`

    - #### copy

          public Memoable copy()

      Description copied from interface: `Memoable`
      Produce a copy of this object with its configuration and in its current state.

      The returned object may be used simply to store the state, or may be used as a similar object starting from the copied state.

    - #### reset

          public void reset(Memoable other)

      Description copied from interface: `Memoable`
      Restore a copied object state into this object.

      Implementations of this method should try to avoid or minimise memory allocation to perform the reset.

      Parameters:
        `other` - an object originally `copied` from an object of the same type as this instance.

    - #### getEncodedState

          public byte[] getEncodedState()

      Description copied from interface: `EncodableDigest`
      Return an encoded byte array for the digest's internal state
      Returns:
        an encoding of the digests internal state.